Warehouse Keeper Parman:
This is the story that I heard from Wilford the Warehouse Keeper of Talking Island. It is said that there is an Elf who has been waiting for his lover to come back for 1,000 years. Isn't that amazing? That he lived for one thousand years. It reminded me of him when we were talking about health.
Aren't you curious? How he could live for such a long time? Even though the life span of an Elf is much longer than that of any other, I have heard of no Elf that could live for 1,000 years before. Anyway, go to the Warehouse Keeper Wilford of Talking Island and ask him about the Elf that lived for more than a thousand years.
Return